<header *ngIf="isLoggedIn">
  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="#">AEM Assessment</a>
    <!-- <button class="navbar-toggler" type="button" (click)="toggleMenu()">
      <span class="navbar-toggler-icon"></span>
    </button> -->
    <button class="navbar-toggler hamburger hamburger--elastic" [ngClass]="{'is-active': isOpen}" type="button" (click)="toggleMenu()">
      <span class="hamburger-box">
        <span class="hamburger-inner"></span>
      </span>
    </button>
    <div class="collapse navbar-collapse" [ngClass]="{'show': isOpen}">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="#">Dashboard</a>
        </li>
      </ul>
      <button class="btn btn-outline-danger my-2 my-sm-0" (click)="logOut()">
        <i class="fa fa-sign-out" aria-hidden="true"></i>
         Sign Out
         <i class="fa fa-spinner fa-spin fa-fw" aria-hidden="true" *ngIf="loading.logout"></i>
        </button>
    </div>
  </nav>
</header>